shibboleth-2.6.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

shibsp::MatchFunctor Member List

This is the complete list of members for shibsp::MatchFunctor, including all inherited members.

evaluatePermitValue(const FilteringContext &filterContext, const Attribute &attribute, size_t index) const =0 | shibsp::MatchFunctor | pure virtual
evaluatePolicyRequirement(const FilteringContext &filterContext) const =0 | shibsp::MatchFunctor | pure virtual
MatchFunctor() (defined in shibsp::MatchFunctor) | shibsp::MatchFunctor | protected
~MatchFunctor() (defined in shibsp::MatchFunctor) | shibsp::MatchFunctor | virtual